<?php

// ①キャッシュしない場合
header('Cache-Control: no-cache;');

// ②プライベートキャッシュの場合
// キャッシュは5秒間有効
header('Cache-Control: private, max-age=5');

// ③共有キャッシュの場合
// キャッシュは10秒間有効
header('Cache-Control: public, s-maxage=10');

// ④有効期限を指定する場合
$date = new DateTime('now', new DateTimeZone('GMT'));
$date->modify('+ 15 seconds');
header('Expires: '.
  $date->format('D, d M Y H:i:s').' GMT');

// 出力
$now = new DateTime();
$content = 'Hello Cache!<br />'
  .$now->format('H:i:s').'<br />'
  .'<a href="./'.basename(__FILE__).'">link</a>';
echo $content;
